# Luakit Documentation / Modules / error_page

# Module `error_page`

Error pages

This module provides an improved version of the default WebKit error page, and allows other Lua modules to show error pages as necessary, with a consistent theme. User customization of the error page and its visual style is also supported.

## Functions

### error_page.show_error_page (v, error_page_info)

Replace the current contents of a webview with an error page.

#### Parameters

- v
  Type: widget
  The webview in which to show an error page.
- error_page_info
  Type: table
  A table of options specifying the error page content.

## Properties

### error_page.cert_db_path

Type: string
Read-write
Path to the whitelist of allowed invalid certificates.

### error_page.html_template

Type: string
Read-write
HTML template for error page content.

### error_page.style

Type: string
Read-write
CSS applied to error pages.

### error_page.cert_style

Type: string
Read-write
CSS applied to certificate error pages.

## Attribution

#### Copyright

- 2016 Aidan Holm